﻿* Encoding: UTF-8.


GET DATA  /TYPE=TXT
  /FILE="/Users/tomdamen/Dropbox/Data Opslag/2018 Plos ONE The Case of the Stroop Task/3A/Raw Data and Syntax/3A.iqdat"
  /DELCASE=LINE
  /DELIMITERS="\t"
  /ARRANGEMENT=DELIMITED
  /FIRSTCASE=2
  /IMPORTCASE=ALL
  /VARIABLES=
  date F6.0
  time A8
  group F2.0
  subject F2.0
  build A7
  blocknum F1.0
  trialnum F2.0
  blockcode A9
  trialcode A18
  pretrialpause F1.0
  posttrialpause F4.0
  windowcenter F1.0
  trialduration F1.0
  trialtimeout F1.0
  blocktimeout F1.0
  response F2.0
  correct F1.0
  latency F5.0
  inwindow F1.0
  stimulusnumber1 F2.0
  stimulusitem1 A111
  stimulusvpos1 A5
  stimulushpos1 A5
  stimulusonset1 F3.0
  stimulusnumber2 F1.0
  stimulusitem2 A118
  stimulusvpos2 A5
  stimulushpos2 A5
  stimulusonset2 F4.0
  stimulusnumber3 F1.0
  stimulusitem3 A71
  stimulusvpos3 F2.0
  stimulushpos3 F2.0
  stimulusonset3 F4.0.
CACHE.
EXECUTE.
DATASET NAME DataSet3 WINDOW=FRONT.

SHIFT VALUES VARIABLE=response RESULT=responseshifted LEAD=1.

FILTER OFF.
USE ALL.
SELECT IF (trialcode ~= 'con_polygon' AND trialcode ~= 'incon_polygon' ).
EXECUTE.


SORT CASES BY subject(A) blockcode(A) trialcode(A).


CASESTOVARS
  /ID=subject
  /GROUPBY=VARIABLE.

Compute compatible = MEAN (responseshifted.4 to responseshifted.19).
Compute incompatible = MEAN (responseshifted.20 to responseshifted.35).
Compute SDcompatible = SD (responseshifted.4 to responseshifted.19).
Compute SDincompatible = SD (responseshifted.20 to responseshifted.35).
EXECUTE.

Compute SDtotal = SDcompatible + SDincompatible.
EXECUTE.





DATASET ACTIVATE DataSet3.
USE ALL.
COMPUTE filter_$=(subject ~= 58 AND subject  ~= 85 AND subject ~= 93 AND subject ~= 31).
VARIABLE LABELS filter_$ 'subject ~= 58 AND subject  ~= 85 AND subject ~= 93 AND subject ~= 31 '+
    '(FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.


GLM compatible incompatible
  /WSFACTOR=factor1 2 Simple 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(OVERALL) 
  /EMMEANS=TABLES(factor1) COMPARE ADJ(LSD)
  /PRINT=DESCRIPTIVE ETASQ OPOWER PARAMETER 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=factor1.


