﻿* Encoding: UTF-8.



GET DATA  /TYPE=TXT
  /FILE="/Users/tomdamen/Dropbox/Data Opslag/2018 Plos ONE The Case of the Stroop Task/Replication Studies included in meta analysis/Replication 3AR/Raw Data and Syntax/3AR.iqdat"
  /DELCASE=LINE
  /DELIMITERS="\t"
  /ARRANGEMENT=DELIMITED
  /FIRSTCASE=2
  /IMPORTCASE=ALL
  /VARIABLES=
  date F6.0
  time A8
  subject F3.0
  group F2.0
  trialnum F2.0
  blockcode A9
  trialcode A18
  response F2.0
  latency F5.0
  stimulusitem1 A111
  stimulusitem2 A71.
CACHE.
EXECUTE.
DATASET NAME DataSet1 WINDOW=FRONT.


SHIFT VALUES VARIABLE=response RESULT=responseshifted LEAD=1.

FILTER OFF.
USE ALL.
SELECT IF (trialcode ~= 'con_polygon' AND trialcode ~= 'incon_polygon' ).
EXECUTE.

DATASET ACTIVATE DataSet1.
RECODE trialcode ('consistentblue'='consistent').
RECODE trialcode ('consistentgreen'='consistent').
RECODE trialcode ('consistentred'='consistent').
RECODE trialcode ('consistentyellow'='consistent').
RECODE trialcode ('inconsistentblue'='inconsistent').
RECODE trialcode ('inconsistentgreen'='inconsistent').
RECODE trialcode ('inconsistentred'='inconsistent').
RECODE trialcode ('inconsistentyellow'='inconsistent').
EXECUTE.

SORT CASES BY subject(A) blockcode(A) trialcode(A).


AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=subject trialcode
  /responseshifted_mean=MEAN(responseshifted).

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=subject trialcode
  /responseshifted_SD=SD(responseshifted).


* Identify Duplicate Cases.
SORT CASES BY subject(A) trialcode(A) responseshifted_mean(A).
MATCH FILES
  /FILE=*
  /BY subject trialcode responseshifted_mean
  /FIRST=PrimaryFirst
  /LAST=PrimaryLast.
DO IF (PrimaryFirst).
COMPUTE  MatchSequence=1-PrimaryLast.
ELSE.
COMPUTE  MatchSequence=MatchSequence+1.
END IF.
LEAVE  MatchSequence.
FORMATS  MatchSequence (f7).
COMPUTE  InDupGrp=MatchSequence>0.
SORT CASES InDupGrp(D).
MATCH FILES
  /FILE=*
  /DROP=PrimaryFirst InDupGrp MatchSequence.
VARIABLE LABELS  PrimaryLast 'Indicator of each last matching case as Primary'.
VALUE LABELS  PrimaryLast 0 'Duplicate Case' 1 'Primary Case'.
VARIABLE LEVEL  PrimaryLast (ORDINAL).
FREQUENCIES VARIABLES=PrimaryLast.
EXECUTE.

FILTER OFF.
USE ALL.
SELECT IF (PrimaryLast = 1).
EXECUTE.


SORT CASES BY subject(A) blockcode(A) trialcode(A).



CASESTOVARS
  /ID=subject
  /GROUPBY=VARIABLE.

Compute compatible = responseshifted_mean.4.
Compute incompatible = responseshifted_mean.5.
EXECUTE.

GLM compatible incompatible
  /WSFACTOR=factor1 2 Simple 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(OVERALL) 
  /EMMEANS=TABLES(factor1) COMPARE ADJ(LSD)
  /PRINT=DESCRIPTIVE ETASQ OPOWER PARAMETER 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=factor1.



