﻿* Encoding: UTF-8.


GET DATA  /TYPE=TXT
  /FILE="/Users/tomdamen/Dropbox/Data Opslag/2018 Plos ONE The Case of the Stroop Task/1A/Raw Data and Syntax/1A.iqdat"
  /DELCASE=LINE
  /DELIMITERS="\t"
  /ARRANGEMENT=DELIMITED
  /FIRSTCASE=2
  /IMPORTCASE=ALL
  /VARIABLES=
  date F6.0
  time A8
  subject F3.0
  blocknum F1.0
  blockcode A13
  trialnum F2.0
  trialcode A27
  response F2.0
  latency F5.0
  error F1.0
  stimulus1 A111.
CACHE.
EXECUTE.
DATASET NAME DataSet1 WINDOW=FRONT.


FILTER OFF.
USE ALL.
SELECT IF (blockcode ~= 'oefen_stroop' AND blockcode ~= 'oefen_stroop2' AND stimulus1 ~= '13b.jpg' AND stimulus1 ~= '14b.jpg' AND stimulus1 ~= '3b.jpg' AND stimulus1 ~= '7b.jpg').
EXECUTE.

SORT CASES BY subject(A) blockcode(A) trialcode(A).



CASESTOVARS
  /ID=subject
  /GROUPBY=VARIABLE.

COMPUTE compatible=response.4.
COMPUTE incompatible=response.5.
EXECUTE.

STRING  condition (A20).
COMPUTE condition=blockcode.6.
EXECUTE.


GLM compatible incompatible BY condition
  /WSFACTOR=factor1 2 Simple 
  /CONTRAST(condition)=Simple
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(OVERALL) 
  /EMMEANS=TABLES(condition) COMPARE ADJ(LSD)
  /EMMEANS=TABLES(factor1) COMPARE ADJ(LSD)
  /EMMEANS=TABLES(condition*factor1) 
  /PRINT=DESCRIPTIVE ETASQ OPOWER PARAMETER 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=factor1 
  /DESIGN=condition.

USE ALL.
COMPUTE filter_$=(condition = 'stroop').
VARIABLE LABELS filter_$ "condition = 'stroop' (FILTER)".
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.



GLM compatible incompatible
  /WSFACTOR=factor1 2 Simple 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(OVERALL) 
  /EMMEANS=TABLES(factor1) COMPARE ADJ(LSD)
  /PRINT=DESCRIPTIVE ETASQ OPOWER PARAMETER 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=factor1.


USE ALL.
COMPUTE filter_$=(condition = 'stroop2').
VARIABLE LABELS filter_$ "condition = 'stroop' (FILTER)".
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.



GLM compatible incompatible
  /WSFACTOR=factor1 2 Simple 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(OVERALL) 
  /EMMEANS=TABLES(factor1) COMPARE ADJ(LSD)
  /PRINT=DESCRIPTIVE ETASQ OPOWER PARAMETER 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=factor1.

