﻿* Encoding: UTF-8.


GET DATA  /TYPE=TXT
  /FILE="/Users/tomdamen/Dropbox/Data Opslag/2018 Plos ONE The Case of the Stroop Task/1B/Raw Data and Syntax/1B.iqdat"
  /DELCASE=LINE
  /DELIMITERS="\t"
  /ARRANGEMENT=DELIMITED
  /FIRSTCASE=2
  /IMPORTCASE=ALL
  /VARIABLES=
  date F6.0
  time A8
  subject F3.0
  blocknum F1.0
  blockcode A12
  trialnum F2.0
  trialcode A19
  response F2.0
  latency F5.0
  error F1.0
  stimulus1 A111.
CACHE.
EXECUTE.
DATASET NAME DataSet1 WINDOW=FRONT.

FILTER OFF.
USE ALL.
SELECT IF (blockcode ~= 'oefen_stroop' AND stimulus1 ~= '13b.jpg' AND stimulus1 ~= '14b.jpg' AND stimulus1 ~= '3b.jpg' AND stimulus1 ~= '7b.jpg').
EXECUTE.

SORT CASES BY subject(A) blockcode(A) trialcode(A).

CASESTOVARS
  /ID=subject
  /GROUPBY=VARIABLE.

COMPUTE conlike=response.4.
COMPUTE inconlike=response.5.
EXECUTE.

GLM conlike inconlike
  /WSFACTOR=factor1 2 Simple 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(OVERALL) 
  /EMMEANS=TABLES(factor1) COMPARE ADJ(LSD)
  /PRINT=DESCRIPTIVE ETASQ OPOWER PARAMETER 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=factor1.

